## kodi-pvr-sledovanitv-cz 4.5.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.sledovanitv.cz)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${JSONCPP_INCLUDE_DIRS})

set(DEPLIBS ${JSONCPP_LIBRARIES})


set(SLEDOVANITV_SOURCES
  src/ApiManager.cpp
  src/Data.cpp)

set(SLEDOVANITV_HEADERS
  src/ApiManager.h
  src/CallLimiter.hh
  src/Data.h)

if(WIN32)
  add_definitions("/wd4996")
endif()

build_addon(pvr.sledovanitv.cz SLEDOVANITV DEPLIBS)
set_property(TARGET pvr.sledovanitv.cz PROPERTY CXX_STANDARD 14)
set_property(TARGET pvr.sledovanitv.cz PROPERTY CXX_STANDARD_REQUIRED ON)

include(CPack)

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (4.5.0+ds1-4build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:47:51 +0000

kodi-pvr-sledovanitv-cz (4.5.0+ds1-4) unstable; urgency=medium

  * d/watch: Move to tagged releases

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 28 Oct 2021 11:21:17 +0000

kodi-pvr-sledovanitv-cz (4.5.0+ds1-3) unstable; urgency=medium

  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:07 +0000

kodi-pvr-sledovanitv-cz (4.5.0+ds1-2) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:57 +0000

kodi-pvr-sledovanitv-cz (4.5.0+ds1-1) unstable; urgency=medium

  * New upstream version 4.5.0+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 01 Mar 2021 05:38:11 +0000

kodi-pvr-sledovanitv-cz (4.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 4.4.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:03 +0000

kodi-pvr-sledovanitv-cz (4.2.0+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 04:04:00 +0000

=== debian/control ===
Source: kodi-pvr-sledovanitv-cz
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libjsoncpp-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz.git
Homepage: https://kodi.tv/

Package: kodi-pvr-sledovanitv-cz
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: sledovanitv.cz PVR for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is PVR addon fo sledovanitv.cz IPTV Provider

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/palinek/pvr.sledovanitv.cz/tags .*archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-sledovanitv-cz 4.5.1+ds1

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (4.5.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:14 +0000

kodi-pvr-sledovanitv-cz (4.5.1+ds1-1) unstable; urgency=medium

  * New upstream version 4.5.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: kodi-pvr-sledovanitv-cz
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libjsoncpp-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## kodi-pvr-sledovanitv-cz 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:33 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/palinek/pvr.sledovanitv.cz/tags .*archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-sledovanitv-cz 20.3.0%2Bds1

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:05 +0000

## kodi-pvr-sledovanitv-cz 20.3.0+ds1

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libjsoncpp-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/palinek/pvr.sledovanitv.cz \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-sledovanitv-cz 20.7.0+ds

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (20.7.0+ds-1) unstable; urgency=medium

  * New upstream version 20.7.0+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:48 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libjsoncpp-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/palinek/pvr.sledovanitv.cz \

## kodi-pvr-sledovanitv-cz 21.3.0+ds

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (21.3.0+ds-4) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:18 +0000

kodi-pvr-sledovanitv-cz (21.3.0+ds-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:08 +0000

kodi-pvr-sledovanitv-cz (21.3.0+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:45:48 +0000

kodi-pvr-sledovanitv-cz (21.3.0+ds-1) experimental; urgency=medium

  * New upstream version 21.3.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:29 +0000

## kodi-pvr-sledovanitv-cz 21.5.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,12 +14,14 @@
 
 set(SLEDOVANITV_SOURCES
   src/ApiManager.cpp
-  src/Data.cpp)
+  src/Data.cpp
+  src/Addon.cpp)
 
 set(SLEDOVANITV_HEADERS
   src/ApiManager.h
   src/CallLimiter.hh
-  src/Data.h)
+  src/Data.h
+  src/Addon.h)
 
 if(WIN32)
   add_definitions("/wd4996")

=== debian/changelog ===
kodi-pvr-sledovanitv-cz (21.5.1+ds-1) unstable; urgency=high

  * New upstream version 21.5.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 Nov 2025 09:15:38 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libjsoncpp-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-sledovanitv-cz.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-sledovanitv-cz

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/palinek/pvr.sledovanitv.cz \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
